myconfig

my config files
git clone https://a3nm.net/git/myconfig/
Log | Files | Refs | README

commit 56e6bf8c6d3a640aa9252a8fc3f1140cc2919d83
parent 19de6afeac3975268859f871e66b10b9377f2a35
Author: Antoine Amarilli <a3nm@a3nm.net>
Date:   Tue, 29 Nov 2016 23:13:44 +0100

test for requisite commands

Diffstat:
install.sh | 4++++
1 file changed, 4 insertions(+), 0 deletions(-)

diff --git a/install.sh b/install.sh @@ -1,5 +1,9 @@ #!/bin/bash +# http://stackoverflow.com/a/4785518 +command -v curl >/dev/null 2>&1 || { echo "I require curl but it's not installed. Aborting." >&2; exit 1; } +command -v git >/dev/null 2>&1 || { echo "I require git but it's not installed. Aborting." >&2; exit 1; } + mkdir -p ~/logs mkdir -p ~/temp/{vim,mutt} mkdir -p ~/temp/vim/{temp,backup}